<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/systems/notifications/expansionnotificationmodule.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d7a/a01292_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionnotificationmodule.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d7a/a01292.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionNotificationModule.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**@class       ExpansionNotificationModule</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       This class handle notification toasts system</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>[<a class="code hl_function" href="../../d8/d80/a09328.html#a65dbab13853969b0c9a6c127dfecfaea">CF_RegisterModule</a>(<a class="code hl_class" href="../../d1/ddb/a05106.html">ExpansionNotificationModule</a>)]</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html">   17</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/ddb/a05106.html">ExpansionNotificationModule</a>: CF_ModuleWorld</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#a1af6825de86e8d8390b44fb224e4aa7e">   19</a></span>    ref array&lt;ref ExpansionNotificationView&gt; <a class="code hl_variable" href="../../d1/ddb/a05106.html#a1af6825de86e8d8390b44fb224e4aa7e">m_Notifications</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#ac76a290a0c89464ec500b187d0702a48">   20</a></span>    ref array&lt;ref NotificationRuntimeData&gt; <a class="code hl_variable" href="../../d1/ddb/a05106.html#ac76a290a0c89464ec500b187d0702a48">m_NotificationData</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">   21</a></span>    ref <a class="code hl_class" href="../../dd/d94/a05102.html">ExpansionNotificationHUD</a> <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#a4e13537c94a46561a6d6130087623b21">   22</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d1/ddb/a05106.html#a4e13537c94a46561a6d6130087623b21">m_Expansion_Bind</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#ae08c73bffe5f3dc105420b3ad9fa1c6b">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#ae08c73bffe5f3dc105420b3ad9fa1c6b">ExpansionNotificationModule</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.NOTIFICATIONS, <span class="keyword">this</span>, <span class="stringliteral">&quot;ExpansionNotificationModule&quot;</span>);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_variable" href="../../d1/ddb/a05106.html#a1af6825de86e8d8390b44fb224e4aa7e">m_Notifications</a> = <span class="keyword">new</span> array&lt;ref ExpansionNotificationView&gt;;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../d1/ddb/a05106.html#ac76a290a0c89464ec500b187d0702a48">m_NotificationData</a> = <span class="keyword">new</span> array&lt;ref NotificationRuntimeData&gt;;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#aaa7eb33a7fb0b12e29321803658478bf">   36</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#aaa7eb33a7fb0b12e29321803658478bf">~ExpansionNotificationModule</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.NOTIFICATIONS, <span class="keyword">this</span>, <span class="stringliteral">&quot;~ExpansionNotificationModule&quot;</span>);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span> (IsMissionClient())</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a> = NULL;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#afa71d921eb14df8373f58a69ff137f2d">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#afa71d921eb14df8373f58a69ff137f2d">OnInit</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.NOTIFICATIONS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnInit&quot;</span>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        super.OnInit();</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        EnableMissionLoaded();</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        EnableMissionStart();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        EnableUpdate();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#af461b53b3a148d1ea17eddc165575a05">   61</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#af461b53b3a148d1ea17eddc165575a05">IsServer</a>()</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#a1fa93a41365e30c4d0fb3811706840a8">   67</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#a1fa93a41365e30c4d0fb3811706840a8">GetNotificationsCount</a>()</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d1/ddb/a05106.html#a1af6825de86e8d8390b44fb224e4aa7e">m_Notifications</a>.Count();</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#ad21f2d832bbdd3c5923d6bf773ac5870">   73</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#ad21f2d832bbdd3c5923d6bf773ac5870">AddNotification</a>(NotificationRuntimeData data)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.NOTIFICATIONS, <span class="keyword">this</span>, <span class="stringliteral">&quot;AddNotification&quot;</span>);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../dd/d5c/a00752.html#ac819a3ce2982b743e915becd7db4fb9d">GetExpansionClientSettings</a>() &amp;&amp; <a class="code hl_function" href="../../dd/d5c/a00752.html#ac819a3ce2982b743e915becd7db4fb9d">GetExpansionClientSettings</a>().ShowNotifications)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="keywordflow">if</span> (!data)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>)</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <a class="code hl_class" href="../../db/da9/a05110.html">ExpansionNotificationView</a> notificationElement;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            <span class="keywordflow">switch</span> (data.GetType())</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>.TOAST:</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                    notificationElement = <span class="keyword">new</span> ExpansionNotificationViewToast(data, <span class="keyword">this</span>, <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>                <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>.BAGUETTE:</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                    notificationElement = <span class="keyword">new</span> ExpansionNotificationViewBaguette(data, <span class="keyword">this</span>, <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>);</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>.ACTIVITY:</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>                    notificationElement = <span class="keyword">new</span> ExpansionNotificationViewActivity(data, <span class="keyword">this</span>, <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>                <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>.KILLFEED:</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                    notificationElement = <span class="keyword">new</span> ExpansionNotificationViewKillfeed(data, <span class="keyword">this</span>, <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>.MARKET:</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                    notificationElement = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d68/a01295.html#d4/d85/a05138">ExpansionNotificationViewMarket</a>(data, <span class="keyword">this</span>, <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>);</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>.GARAGE:</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                    notificationElement = <span class="keyword">new</span> ExpansionNotificationViewGarage(data, <span class="keyword">this</span>, <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>                    notificationElement = <span class="keyword">new</span> ExpansionNotificationViewToast(data, <span class="keyword">this</span>, <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            <a class="code hl_function" href="../../d1/ddb/a05106.html#a7a0f5b5387234ebd55e100de4e5e374d">AddNotificationElement</a>(notificationElement, data.GetType());</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <a class="code hl_variable" href="../../d1/ddb/a05106.html#a1af6825de86e8d8390b44fb224e4aa7e">m_Notifications</a>.InsertAt(notificationElement, 0);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <a class="code hl_variable" href="../../d1/ddb/a05106.html#ac76a290a0c89464ec500b187d0702a48">m_NotificationData</a>.InsertAt(data, 0);</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            <a class="code hl_variable" href="../../d1/ddb/a05106.html#a1af6825de86e8d8390b44fb224e4aa7e">m_Notifications</a>[0].ShowNotification();</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#a7a0f5b5387234ebd55e100de4e5e374d">  122</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#a7a0f5b5387234ebd55e100de4e5e374d">AddNotificationElement</a>(<a class="code hl_class" href="../../db/da9/a05110.html">ExpansionNotificationView</a> notificationElement, <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a> type)</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.NOTIFICATIONS, <span class="keyword">this</span>, <span class="stringliteral">&quot;AddNotificationElement&quot;</span>);</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">switch</span> (type)</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>.TOAST:</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>                <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>.<a class="code hl_function" href="../../dd/d94/a05102.html#a4edf452029a6078bf609b7b6d582f530">AddNotificationToatsElemement</a>(ExpansionNotificationViewToast.Cast(notificationElement));</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>.BAGUETTE:</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>.<a class="code hl_function" href="../../dd/d94/a05102.html#ac988607e94ec883903d6f4f388799121">AddNotificationBaguetteElemement</a>(ExpansionNotificationViewBaguette.Cast(notificationElement));</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>.ACTIVITY:</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>                <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>.<a class="code hl_function" href="../../dd/d94/a05102.html#aa1c0f207530c119dd2a2da3038299ce2">AddNotificationActivityElemement</a>(ExpansionNotificationViewActivity.Cast(notificationElement));</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>.KILLFEED:</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>                <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>.<a class="code hl_function" href="../../dd/d94/a05102.html#abc167ab36ebbd9e5bd4aceceded74ed5">AddNotificationKillfeedElemement</a>(ExpansionNotificationViewKillfeed.Cast(notificationElement));</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>.MARKET:</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>                <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>.<a class="code hl_function" href="../../dd/d94/a05102.html#a5674ded9e692c573352a2b2af9600536">AddNotificationMarketElemement</a>(<a class="code hl_class" href="../../d2/d68/a01295.html#d4/d85/a05138">ExpansionNotificationViewMarket</a>.Cast(notificationElement));</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>.GARAGE:</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>                <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>.<a class="code hl_function" href="../../dd/d94/a05102.html#acb01372f21f745742a118027fccb0b25">AddNotificationGarageElemement</a>(ExpansionNotificationViewGarage.Cast(notificationElement));</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>                <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>.<a class="code hl_function" href="../../dd/d94/a05102.html#a4edf452029a6078bf609b7b6d582f530">AddNotificationToatsElemement</a>(ExpansionNotificationViewToast.Cast(notificationElement));</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        }</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    }</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span> </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#a10e5f9141979b8a683e5635635c64215">  155</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#a10e5f9141979b8a683e5635635c64215">RemoveNotification</a>(NotificationRuntimeData data)</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    {</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.NOTIFICATIONS, <span class="keyword">this</span>, <span class="stringliteral">&quot;RemoveNotification&quot;</span>);</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span> </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <span class="keywordflow">if</span> (!data)</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <span class="keywordtype">int</span> index = <a class="code hl_variable" href="../../d1/ddb/a05106.html#ac76a290a0c89464ec500b187d0702a48">m_NotificationData</a>.Find(data);</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keywordflow">if</span> (index &gt;= 0)</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            <a class="code hl_function" href="../../d1/ddb/a05106.html#ab192d23f9bde8e27100b6ba394d74c1d">HideNotification</a>( index );</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    }</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span> </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#ab192d23f9bde8e27100b6ba394d74c1d">  171</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#ab192d23f9bde8e27100b6ba394d74c1d">HideNotification</a>(<span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    {</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.NOTIFICATIONS, <span class="keyword">this</span>, <span class="stringliteral">&quot;HideNotification&quot;</span>);</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        <span class="keywordflow">if</span> (GetGame().IsMultiplayer() &amp;&amp; GetGame().<a class="code hl_function" href="../../d1/ddb/a05106.html#af461b53b3a148d1ea17eddc165575a05">IsServer</a>())</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span> </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        <span class="keywordflow">if</span> (index &lt; 0)</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>            </div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <span class="keywordflow">if</span> (index &gt;= <a class="code hl_variable" href="../../d1/ddb/a05106.html#a1af6825de86e8d8390b44fb224e4aa7e">m_Notifications</a>.Count())</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span> </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        <a class="code hl_variable" href="../../d1/ddb/a05106.html#a1af6825de86e8d8390b44fb224e4aa7e">m_Notifications</a>[index].HideNotification();</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    }</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    <span class="comment">// DEPRECATED</span></div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#a0fc0377f1f5d489c6ef52015d5419ae1">  192</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#a0fc0377f1f5d489c6ef52015d5419ae1">RemovingNotification</a>(<a class="code hl_class" href="../../db/da9/a05110.html">ExpansionNotificationView</a> notif)</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    {</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.NOTIFICATIONS, <span class="keyword">this</span>, <span class="stringliteral">&quot;RemovingNotification&quot;</span>);</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <span class="keywordflow">if</span> (!notif)</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    }</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#a1bbaa895704871215789bd52355e9f3a">  203</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#a1bbaa895704871215789bd52355e9f3a">RemoveNotification</a>(<a class="code hl_class" href="../../db/da9/a05110.html">ExpansionNotificationView</a> notif)</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>    {</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.NOTIFICATIONS, <span class="keyword">this</span>, <span class="stringliteral">&quot;RemoveNotification&quot;</span>);</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span> </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        <span class="keywordflow">if</span> (!notif)</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span> </div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        <span class="keywordtype">int</span> index = <a class="code hl_variable" href="../../d1/ddb/a05106.html#a1af6825de86e8d8390b44fb224e4aa7e">m_Notifications</a>.Find(notif);</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        <span class="keywordflow">if</span> (index &gt; -1)</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>        {</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>            <a class="code hl_variable" href="../../d1/ddb/a05106.html#a1af6825de86e8d8390b44fb224e4aa7e">m_Notifications</a>.RemoveOrdered(index);</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>            <a class="code hl_variable" href="../../d1/ddb/a05106.html#ac76a290a0c89464ec500b187d0702a48">m_NotificationData</a>.RemoveOrdered(index);</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>        }</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    }</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#aee715d3c84285340d00584acc22fada2">  222</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#aee715d3c84285340d00584acc22fada2">OnUpdate</a>(Class sender, CF_EventArgs args)</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    {</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.NOTIFICATIONS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnUpdate&quot;</span>);</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span> </div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        super.OnUpdate(sender, args);</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span> </div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        <span class="keyword">auto</span> update = CF_EventUpdateArgs.Cast(args);</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span> </div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../d1/ddb/a05106.html#a1af6825de86e8d8390b44fb224e4aa7e">m_Notifications</a>.Count(); i++)</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        {</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>            <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d1/ddb/a05106.html#a1af6825de86e8d8390b44fb224e4aa7e">m_Notifications</a>[i])</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>                <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span> </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>            <a class="code hl_variable" href="../../d1/ddb/a05106.html#a1af6825de86e8d8390b44fb224e4aa7e">m_Notifications</a>[i].Update(update.DeltaTime);</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>        }</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>    }</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>    </div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#a4dfe33ecb9e1323ad5882e771fb403ab">  242</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#a4dfe33ecb9e1323ad5882e771fb403ab">SetExpansionNotificationHUD</a>(<a class="code hl_class" href="../../dd/d94/a05102.html">ExpansionNotificationHUD</a> notificationHUD)</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    {</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a> = notificationHUD;</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    }</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#a55baa785b5eb9407bf0b8beded6cae3d">  247</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#a55baa785b5eb9407bf0b8beded6cae3d">OnMissionStart</a>(Class sender, CF_EventArgs args)</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>    {</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        super.OnMissionStart(sender, args);</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>    </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d1/ddb/a05106.html#a4e13537c94a46561a6d6130087623b21">m_Expansion_Bind</a>)</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>        {</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>            <a class="code hl_variable" href="../../d1/ddb/a05106.html#a4e13537c94a46561a6d6130087623b21">m_Expansion_Bind</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>            <a class="code hl_class" href="../../d7/d12/a04298.html">NotificationSystem</a>.BindOnAdd(<a class="code hl_function" href="../../d1/ddb/a05106.html#ad21f2d832bbdd3c5923d6bf773ac5870">AddNotification</a>);</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>            <a class="code hl_class" href="../../d7/d12/a04298.html">NotificationSystem</a>.BindOnRemove(<a class="code hl_function" href="../../d1/ddb/a05106.html#a10e5f9141979b8a683e5635635c64215">RemoveNotification</a>);</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>        }</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    }</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>    </div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno"><a class="line" href="../../d1/ddb/a05106.html#a2d14d64b0780efeb759801a4ff1908f8">  260</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/ddb/a05106.html#a2d14d64b0780efeb759801a4ff1908f8">OnMissionLoaded</a>(Class sender, CF_EventArgs args)</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>    {</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>        super.OnMissionLoaded(sender, args);</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span> </div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>)</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>            <span class="keyword">delete</span> <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a>;</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>        </div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>        <a class="code hl_variable" href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../dd/d94/a05102.html">ExpansionNotificationHUD</a>;</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>    }</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>};</div>
<div class="ttc" id="aa00722_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa00734_html_a87895fe18688d17fbc88515ccb6f6c02"><div class="ttname"><a href="../../d6/dc0/a00734.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a></div><div class="ttdeci">ExpansionNotificationType</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc0/a00734_source.html#l00013">notificationruntimedata.c:14</a></div></div>
<div class="ttc" id="aa00752_html_ac819a3ce2982b743e915becd7db4fb9d"><div class="ttname"><a href="../../dd/d5c/a00752.html#ac819a3ce2982b743e915becd7db4fb9d">GetExpansionClientSettings</a></div><div class="ttdeci">static ExpansionClientSettings GetExpansionClientSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d5c/a00752_source.html#l01018">expansionclientsettings.c:1018</a></div></div>
<div class="ttc" id="aa01295_html_d4/d85/a05138"><div class="ttname"><a href="../../d2/d68/a01295.html#d4/d85/a05138">ExpansionNotificationViewMarket</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d68/a01295_source.html#l00337">expansionnotificationview.c:338</a></div></div>
<div class="ttc" id="aa04298_html"><div class="ttname"><a href="../../d7/d12/a04298.html">NotificationSystem</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db2/a00737_source.html#l00013">notificationsystem.c:14</a></div></div>
<div class="ttc" id="aa05102_html"><div class="ttname"><a href="../../dd/d94/a05102.html">ExpansionNotificationHUD</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dda/a01289_source.html#l00013">expansionnotificationhud.c:14</a></div></div>
<div class="ttc" id="aa05102_html_a4edf452029a6078bf609b7b6d582f530"><div class="ttname"><a href="../../dd/d94/a05102.html#a4edf452029a6078bf609b7b6d582f530">ExpansionNotificationHUD::AddNotificationToatsElemement</a></div><div class="ttdeci">void AddNotificationToatsElemement(ExpansionNotificationViewToast element)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dda/a01289_source.html#l00041">expansionnotificationhud.c:41</a></div></div>
<div class="ttc" id="aa05102_html_a5674ded9e692c573352a2b2af9600536"><div class="ttname"><a href="../../dd/d94/a05102.html#a5674ded9e692c573352a2b2af9600536">ExpansionNotificationHUD::AddNotificationMarketElemement</a></div><div class="ttdeci">void AddNotificationMarketElemement(ExpansionNotificationViewMarket element)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dda/a01289_source.html#l00147">expansionnotificationhud.c:147</a></div></div>
<div class="ttc" id="aa05102_html_aa1c0f207530c119dd2a2da3038299ce2"><div class="ttname"><a href="../../dd/d94/a05102.html#aa1c0f207530c119dd2a2da3038299ce2">ExpansionNotificationHUD::AddNotificationActivityElemement</a></div><div class="ttdeci">void AddNotificationActivityElemement(ExpansionNotificationViewActivity element)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dda/a01289_source.html#l00094">expansionnotificationhud.c:94</a></div></div>
<div class="ttc" id="aa05102_html_abc167ab36ebbd9e5bd4aceceded74ed5"><div class="ttname"><a href="../../dd/d94/a05102.html#abc167ab36ebbd9e5bd4aceceded74ed5">ExpansionNotificationHUD::AddNotificationKillfeedElemement</a></div><div class="ttdeci">void AddNotificationKillfeedElemement(ExpansionNotificationViewKillfeed element)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dda/a01289_source.html#l00128">expansionnotificationhud.c:128</a></div></div>
<div class="ttc" id="aa05102_html_ac988607e94ec883903d6f4f388799121"><div class="ttname"><a href="../../dd/d94/a05102.html#ac988607e94ec883903d6f4f388799121">ExpansionNotificationHUD::AddNotificationBaguetteElemement</a></div><div class="ttdeci">void AddNotificationBaguetteElemement(ExpansionNotificationViewBaguette element)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dda/a01289_source.html#l00060">expansionnotificationhud.c:60</a></div></div>
<div class="ttc" id="aa05102_html_acb01372f21f745742a118027fccb0b25"><div class="ttname"><a href="../../dd/d94/a05102.html#acb01372f21f745742a118027fccb0b25">ExpansionNotificationHUD::AddNotificationGarageElemement</a></div><div class="ttdeci">void AddNotificationGarageElemement(ExpansionNotificationViewGarage element)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dda/a01289_source.html#l00166">expansionnotificationhud.c:166</a></div></div>
<div class="ttc" id="aa05106_html"><div class="ttname"><a href="../../d1/ddb/a05106.html">ExpansionNotificationModule</a></div><div class="ttdoc">This class handle notification toasts system.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00017">expansionnotificationmodule.c:18</a></div></div>
<div class="ttc" id="aa05106_html_a03b47d525e052b0dd3a75fefe6bf0591"><div class="ttname"><a href="../../d1/ddb/a05106.html#a03b47d525e052b0dd3a75fefe6bf0591">ExpansionNotificationModule::m_NotificationHUD</a></div><div class="ttdeci">ref ExpansionNotificationHUD m_NotificationHUD</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00021">expansionnotificationmodule.c:21</a></div></div>
<div class="ttc" id="aa05106_html_a0fc0377f1f5d489c6ef52015d5419ae1"><div class="ttname"><a href="../../d1/ddb/a05106.html#a0fc0377f1f5d489c6ef52015d5419ae1">ExpansionNotificationModule::RemovingNotification</a></div><div class="ttdeci">void RemovingNotification(ExpansionNotificationView notif)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00192">expansionnotificationmodule.c:192</a></div></div>
<div class="ttc" id="aa05106_html_a10e5f9141979b8a683e5635635c64215"><div class="ttname"><a href="../../d1/ddb/a05106.html#a10e5f9141979b8a683e5635635c64215">ExpansionNotificationModule::RemoveNotification</a></div><div class="ttdeci">void RemoveNotification(NotificationRuntimeData data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00155">expansionnotificationmodule.c:155</a></div></div>
<div class="ttc" id="aa05106_html_a1af6825de86e8d8390b44fb224e4aa7e"><div class="ttname"><a href="../../d1/ddb/a05106.html#a1af6825de86e8d8390b44fb224e4aa7e">ExpansionNotificationModule::m_Notifications</a></div><div class="ttdeci">ref array&lt; ref ExpansionNotificationView &gt; m_Notifications</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00019">expansionnotificationmodule.c:19</a></div></div>
<div class="ttc" id="aa05106_html_a1bbaa895704871215789bd52355e9f3a"><div class="ttname"><a href="../../d1/ddb/a05106.html#a1bbaa895704871215789bd52355e9f3a">ExpansionNotificationModule::RemoveNotification</a></div><div class="ttdeci">void RemoveNotification(ExpansionNotificationView notif)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00203">expansionnotificationmodule.c:203</a></div></div>
<div class="ttc" id="aa05106_html_a1fa93a41365e30c4d0fb3811706840a8"><div class="ttname"><a href="../../d1/ddb/a05106.html#a1fa93a41365e30c4d0fb3811706840a8">ExpansionNotificationModule::GetNotificationsCount</a></div><div class="ttdeci">int GetNotificationsCount()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00067">expansionnotificationmodule.c:67</a></div></div>
<div class="ttc" id="aa05106_html_a2d14d64b0780efeb759801a4ff1908f8"><div class="ttname"><a href="../../d1/ddb/a05106.html#a2d14d64b0780efeb759801a4ff1908f8">ExpansionNotificationModule::OnMissionLoaded</a></div><div class="ttdeci">override void OnMissionLoaded(Class sender, CF_EventArgs args)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00260">expansionnotificationmodule.c:260</a></div></div>
<div class="ttc" id="aa05106_html_a4dfe33ecb9e1323ad5882e771fb403ab"><div class="ttname"><a href="../../d1/ddb/a05106.html#a4dfe33ecb9e1323ad5882e771fb403ab">ExpansionNotificationModule::SetExpansionNotificationHUD</a></div><div class="ttdeci">void SetExpansionNotificationHUD(ExpansionNotificationHUD notificationHUD)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00242">expansionnotificationmodule.c:242</a></div></div>
<div class="ttc" id="aa05106_html_a4e13537c94a46561a6d6130087623b21"><div class="ttname"><a href="../../d1/ddb/a05106.html#a4e13537c94a46561a6d6130087623b21">ExpansionNotificationModule::m_Expansion_Bind</a></div><div class="ttdeci">bool m_Expansion_Bind</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00022">expansionnotificationmodule.c:22</a></div></div>
<div class="ttc" id="aa05106_html_a55baa785b5eb9407bf0b8beded6cae3d"><div class="ttname"><a href="../../d1/ddb/a05106.html#a55baa785b5eb9407bf0b8beded6cae3d">ExpansionNotificationModule::OnMissionStart</a></div><div class="ttdeci">override void OnMissionStart(Class sender, CF_EventArgs args)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00247">expansionnotificationmodule.c:247</a></div></div>
<div class="ttc" id="aa05106_html_a7a0f5b5387234ebd55e100de4e5e374d"><div class="ttname"><a href="../../d1/ddb/a05106.html#a7a0f5b5387234ebd55e100de4e5e374d">ExpansionNotificationModule::AddNotificationElement</a></div><div class="ttdeci">void AddNotificationElement(ExpansionNotificationView notificationElement, ExpansionNotificationType type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00122">expansionnotificationmodule.c:122</a></div></div>
<div class="ttc" id="aa05106_html_aaa7eb33a7fb0b12e29321803658478bf"><div class="ttname"><a href="../../d1/ddb/a05106.html#aaa7eb33a7fb0b12e29321803658478bf">ExpansionNotificationModule::~ExpansionNotificationModule</a></div><div class="ttdeci">void ~ExpansionNotificationModule()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00036">expansionnotificationmodule.c:36</a></div></div>
<div class="ttc" id="aa05106_html_ab192d23f9bde8e27100b6ba394d74c1d"><div class="ttname"><a href="../../d1/ddb/a05106.html#ab192d23f9bde8e27100b6ba394d74c1d">ExpansionNotificationModule::HideNotification</a></div><div class="ttdeci">void HideNotification(int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00171">expansionnotificationmodule.c:171</a></div></div>
<div class="ttc" id="aa05106_html_ac76a290a0c89464ec500b187d0702a48"><div class="ttname"><a href="../../d1/ddb/a05106.html#ac76a290a0c89464ec500b187d0702a48">ExpansionNotificationModule::m_NotificationData</a></div><div class="ttdeci">ref array&lt; ref NotificationRuntimeData &gt; m_NotificationData</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00020">expansionnotificationmodule.c:20</a></div></div>
<div class="ttc" id="aa05106_html_ad21f2d832bbdd3c5923d6bf773ac5870"><div class="ttname"><a href="../../d1/ddb/a05106.html#ad21f2d832bbdd3c5923d6bf773ac5870">ExpansionNotificationModule::AddNotification</a></div><div class="ttdeci">void AddNotification(NotificationRuntimeData data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00073">expansionnotificationmodule.c:73</a></div></div>
<div class="ttc" id="aa05106_html_ae08c73bffe5f3dc105420b3ad9fa1c6b"><div class="ttname"><a href="../../d1/ddb/a05106.html#ae08c73bffe5f3dc105420b3ad9fa1c6b">ExpansionNotificationModule::ExpansionNotificationModule</a></div><div class="ttdeci">void ExpansionNotificationModule()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00025">expansionnotificationmodule.c:25</a></div></div>
<div class="ttc" id="aa05106_html_aee715d3c84285340d00584acc22fada2"><div class="ttname"><a href="../../d1/ddb/a05106.html#aee715d3c84285340d00584acc22fada2">ExpansionNotificationModule::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(Class sender, CF_EventArgs args)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00222">expansionnotificationmodule.c:222</a></div></div>
<div class="ttc" id="aa05106_html_af461b53b3a148d1ea17eddc165575a05"><div class="ttname"><a href="../../d1/ddb/a05106.html#af461b53b3a148d1ea17eddc165575a05">ExpansionNotificationModule::IsServer</a></div><div class="ttdeci">override bool IsServer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00061">expansionnotificationmodule.c:61</a></div></div>
<div class="ttc" id="aa05106_html_afa71d921eb14df8373f58a69ff137f2d"><div class="ttname"><a href="../../d1/ddb/a05106.html#afa71d921eb14df8373f58a69ff137f2d">ExpansionNotificationModule::OnInit</a></div><div class="ttdeci">override void OnInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7a/a01292_source.html#l00048">expansionnotificationmodule.c:48</a></div></div>
<div class="ttc" id="aa05110_html"><div class="ttname"><a href="../../db/da9/a05110.html">ExpansionNotificationView</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d68/a01295_source.html#l00013">expansionnotificationview.c:14</a></div></div>
<div class="ttc" id="aa09328_html_a65dbab13853969b0c9a6c127dfecfaea"><div class="ttname"><a href="../../d8/d80/a09328.html#a65dbab13853969b0c9a6c127dfecfaea">CF_RegisterModule</a></div><div class="ttdeci">ExpansionRemovedObject OLinkT CF_RegisterModule(ExpansionWorldObjectsModule)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d80/a09328_source.html#l00001">expansionworldobjectsmodule.c:25</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_fe571d7ad32caea9eebf8e59fd064590.html">systems</a></li><li class="navelem"><a class="el" href="../../dir_e1b3a00b80e7f235885123b73711a5c3.html">notifications</a></li><li class="navelem"><a class="el" href="../../d8/d7a/a01292.html">expansionnotificationmodule.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
